curl --request GET \
--url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"test_entities": [
{
"id": "vhrscje",
"title": "cart.spec.ts",
"duration": 12.83,
"started_at": "2026-06-28T09:14:25.000Z",
"tests_count": 6,
"status": "passed"
}
],
"pagination": {
"total_records": 42,
"total_pages": 3,
"current_page_number": 1,
"page_size": 15
}
}List test entities
List test entities (specs or tests) for a run.
curl --request GET \
--url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"test_entities": [
{
"id": "vhrscje",
"title": "cart.spec.ts",
"duration": 12.83,
"started_at": "2026-06-28T09:14:25.000Z",
"tests_count": 6,
"status": "passed"
}
],
"pagination": {
"total_records": 42,
"total_pages": 3,
"current_page_number": 1,
"page_size": 15
}
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Specifies the expected response format. Must be set to application/json for proper API communication.
application/json Path Parameters
Id of the project. You can get project_id by listing your projects using the List projects API.
"pdqmxlz"
Query Parameters
Kind of test entity to list. Defaults to spec.
spec, test "spec"
Filter by status. Accepts one or more statuses as a comma-separated list.
passed, failed, skipped, interrupted, timed_out, flaky ["failed", "flaky"]
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
1
Number of records returned per page. Each endpoint applies its own default and maximum value.
15
Response
OK - Request succeeded. Defaults to 25 test entities per page (maximum 100).
Hide child attributes
Hide child attributes
Unique identifier of the test entity.
"vhrscje"
Title of the test entity. For specs this is the file name.
"cart.spec.ts"
Duration of the test entity in seconds.
12.83
Time at which the test entity started executing.
"2026-06-28T09:14:25.000Z"
Number of tests under this entity.
6
Aggregated status of the test entity.
"passed"
Hide child attributes
Hide child attributes